> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Health check

GET https://integrators.prod.api.tabsplatform.com/health

Reference: https://docs.tabs.com/api-reference/health/health-controller-check

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /health:
    get:
      operationId: health-controller-check
      summary: Health check
      tags:
        - health
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The Health Check is successful
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Health_HealthController_check_Response_200
        '503':
          description: The Health Check is not successful
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HealthController_checkRequestServiceUnavailableError
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    HealthGetResponsesContentApplicationJsonSchemaInfo:
      type: object
      properties:
        status:
          type: string
      required:
        - status
      title: HealthGetResponsesContentApplicationJsonSchemaInfo
    HealthGetResponsesContentApplicationJsonSchemaError:
      type: object
      properties:
        status:
          type: string
      required:
        - status
      title: HealthGetResponsesContentApplicationJsonSchemaError
    HealthGetResponsesContentApplicationJsonSchemaDetails:
      type: object
      properties:
        status:
          type: string
      required:
        - status
      title: HealthGetResponsesContentApplicationJsonSchemaDetails
    Health_HealthController_check_Response_200:
      type: object
      properties:
        status:
          type: string
        info:
          type:
            - object
            - 'null'
          additionalProperties:
            $ref: >-
              #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaInfo
        error:
          type:
            - object
            - 'null'
          additionalProperties:
            $ref: >-
              #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaError
        details:
          type: object
          additionalProperties:
            $ref: >-
              #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaDetails
      title: Health_HealthController_check_Response_200
    HealthController_checkRequestServiceUnavailableError:
      type: object
      properties:
        status:
          type: string
        info:
          type:
            - object
            - 'null'
          additionalProperties:
            $ref: >-
              #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaInfo
        error:
          type:
            - object
            - 'null'
          additionalProperties:
            $ref: >-
              #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaError
        details:
          type: object
          additionalProperties:
            $ref: >-
              #/components/schemas/HealthGetResponsesContentApplicationJsonSchemaDetails
      title: HealthController_checkRequestServiceUnavailableError
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Response**

```json
{
  "status": "ok",
  "info": {
    "database": {
      "status": "up"
    }
  },
  "error": {},
  "details": {
    "database": {
      "status": "up"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/health"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/health';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/health"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/health")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://integrators.prod.api.tabsplatform.com/health")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://integrators.prod.api.tabsplatform.com/health', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/health");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/health")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```